<!doctype html>
<html>
<head>
    <title>Tor Weekly News — August 20th, 2014 | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Tor Weekly News — August 20th, 2014 | Tor Project">
    <meta property="og:description" content="Welcome to the thirty-third issue of Tor Weekly News in 2014, the weekly newsletter that covers...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/tor-weekly-news-august-20th-2014/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Tor Weekly News — August 20th, 2014
      </h1>
    <p class="meta">by harmony | August 20, 2014</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>Welcome to the thirty-third issue of Tor Weekly News in 2014, the <a href="https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-news" rel="nofollow">weekly newsletter</a> that covers what is happening in the community around Tor, <a href="https://www.dailydot.com/entertainment/aphex-twin-deep-web-album-syro/" rel="nofollow">Aphex Twin’s favorite anonymity network</a>.</p>

<h1>Tor Browser 3.6.4 and 4.0-alpha-1 are out</h1>

<p>Erinn Clark took to the <a href="https://blog.torproject.org/blog/tor-browser-364-and-40-alpha-1-are-released" rel="nofollow">Tor Blog</a> to announce two new releases by the Tor Browser team. The stable version (3.6.4) contains fixes for several new OpenSSL bugs, although since Tor should only be vulnerable to one of them, and “as this issue is only a DoS”, it is not considered a critical security update. This release also brings Tor Browser users the fixes that give log warnings about the RELAY_EARLY traffic confirmation attack explained <a href="https://blog.torproject.org/blog/tor-security-advisory-relay-early-traffic-confirmation-attack" rel="nofollow">last month</a>. Please be sure to upgrade as soon as possible.</p>

<p>Alongside this stable release, the first alpha version of Tor Browser 4.0 is now available. Among the most exciting new features of this series is the inclusion of the <a href="https://trac.torproject.org/projects/tor/wiki/doc/meek" rel="nofollow">meek</a> pluggable transport. In contrast to the bridge-based transports already available in Tor Browser, meek relies on a principle of “too big to block”, as its creator David Fifield <a href="https://blog.torproject.org/blog/how-use-%E2%80%9Cmeek%E2%80%9D-pluggable-transport#comment-70044" rel="nofollow">explained</a>: “instead of going through a bridge with a secret address, you go through a known domain (<a href="http://www.google.com" rel="nofollow">www.google.com</a> for example) that the censor will be reluctant to block. You don’t need to look up any bridge addresses before you get started”. meek currently supports two “front domains”, Google and Amazon Web Services; it may therefore be especially useful for users behind extremely restrictive national or local firewalls. David posted a fuller explanation of meek, and how to configure it, in a <a href="https://blog.torproject.org/blog/how-use-%E2%80%9Cmeek%E2%80%9D-pluggable-transport" rel="nofollow">separate blog post</a>.</p>

<p>This alpha release also “paves the way to [the] upcoming autoupdater by reorganizing the directory structure of the browser”, as Erinn wrote. This means that users upgrading from any previous Tor Browser series cannot extract the new version over their existing Tor Browser folder, or it will not work.</p>

<p>You can consult the full list of changes and bugfixes for both versions in Erinn’s post, and download the new releases themselves from the <a href="https://www.torproject.org/dist/torbrowser/" rel="nofollow">Tor website</a>.</p>

<h1>The Tor network no longer supports designating relays by name</h1>

<p>Since the <a href="https://gitweb.torproject.org/tor.git/blob/161d7d1:/src/config/torrc.in#l20" rel="nofollow">very first versions of Tor</a>, relay operators have been able to specify “nicknames” for their relays. Such nicknames were initially meant to be unique across the network, and operators of directory authorities would manually “bind” a relay identity key after verifying the nickname. The process became formalized with the “Named” flag introduced in the <a href="https://gitweb.torproject.org/torspec.git/blob/HEAD:/attic/dir-spec-v2.txt#l427" rel="nofollow">0.1.1 series</a>, and later automated with the 0.2.0 series. If a relay held a unique nickname for long enough, the authoritywould recognize the binding, and subsequently reserve the name for half a year.</p>

<p>Nicknames are useful because it appears humans are not very good at thinking using long strings of random bits. Initially, they made it possible to understand what was happening in the network more easily, and to designate a specific relay in an abbreviated way. Having two relays in the network with the same nickname is not really problematic when one is looking at nodes, or a list in <a href="https://globe.torproject.org/#/search/query=Unnamed" rel="nofollow">Globe</a>, as relays can always be differentiated by their IP addresses or identity keys.</p>

<p>But complications arise when nicknames are used to specify one relay to the exclusion of another. If the wrong relay gets selected, it can become a security risk. Even though <a href="https://gitweb.torproject.org/torspec.git/blob/HEAD:/proposals/122-unnamed-flag.txt" rel="nofollow">real efforts</a> have been made to improve the situation, properly enforcing uniqueness has always been problematic, and a burden for the few directory authorities that handle naming. </p>

<p>Back in April, the <a href="https://blog.torproject.org/blog/openssl-bug-cve-2014-0160" rel="nofollow">“Heartbleed” bug</a> forced many relays to switch to a new identity key, thus losing their “Named” flag. Because this meant that anyone designating relays by their nickname would now have a hard time continuing to do so, Sebastian Hahn decided to use the opportunity to <a href="https://gitweb.torproject.org/torspec.git/blob/HEAD:/proposals/235-kill-named-flag.txt" rel="nofollow">get rid of the idea entirely</a>.</p>

<p>This week, Sebastian <a href="https://lists.torproject.org/pipermail/tor-dev/2014-August/007348.html" rel="nofollow">wrote</a>: “Code review down to 0.2.3.x has shown that the naming-related code hasn’t changed much at all, and no issues were found which would mean a Named-flag free consensus would cause any problems. gabelmoo and tor26 have stopped acting as Naming Directory Authorities, and — pending any issues — will stay that way.”</p>

<p>This means that although you can still give your relay a nickname in its configuration file, designating relays by nickname for any other purpose (such as telling Tor to avoid using certain nodes) has now stopped working.  “If you — in your Tor configuration file — refer to any relay by name and not by identity hash, please change that immediately. Future versions of Tor will not support using names in the configuration at all”, <a href="https://lists.torproject.org/pipermail/tor-talk/2014-August/034380.html" rel="nofollow">warns Sebastian</a>.</p>

<h1>Miscellaneous news</h1>

<p>meejah <a href="https://lists.torproject.org/pipermail/tor-dev/2014-August/007375.html" rel="nofollow">announced</a> the release of version 0.11.0 of txtorcon, a Twisted-based Python controller library for Tor. This release brings several API improvements; see meejah’s message for full release notes and instructions on how to download it.</p>

<p>Mike Perry posted an <a href="https://blog.torproject.org/blog/isec-partners-conducts-tor-browser-hardening-study" rel="nofollow">overview</a> of a recent report put together by iSEC Partners and commissioned by the Open Technology Fund to explore “current and future hardening options for the Tor Browser”. Among other things, Mike’s post addresses the report’s immediate hardening recommendations, latest thoughts on the proposed Tor Browser “security slider”, and longer-term security development measures, as well as ways in which the development of Google Chrome could inform Tor Browser’s own security engineering.</p>

<p>Nick Mathewson asked for <a href="https://lists.torproject.org/pipermail/tor-dev/2014-August/007355.html" rel="nofollow">comments</a> on Trunnel, “a little tool to automatically generate binary encoding and parsing code based on C-like structure descriptions” intended to prevent “Heartbleed”-style vulnerabilities from creeping into Tor’s binary-parsing code in C. “My open questions are: Is this a good idea? Is it a good idea to use this in Tor? Are there any tricky bugs left in the generated code? What am I forgetting to think of?”, wrote Nick.</p>

<p>George Kadianakis followed up his <a href="https://lists.torproject.org/pipermail/tor-dev/2014-June/007042.html" rel="nofollow">journey to the core</a> of what Tor does when trying to connect to entry guards in the absence of a network connection with <a href="https://lists.torproject.org/pipermail/tor-dev/2014-August/007346.html" rel="nofollow">another post</a> running through some possible improvements to Tor’s behavior in these situations: “I’m looking forward to some feedback on the proposed algorithms as well as improvements and suggestions”.</p>

<p>Arturo Filastò <a href="https://lists.torproject.org/pipermail/tor-dev/2014-August/007353.html" rel="nofollow">requested feedback</a> on some proposed changes to the format of the “test deck” used by ooni-probe, the main project of the Open Observatory of Network Interference. “A test deck is basically a way of telling it ‘Run this list of OONI tests with these inputs and by the way be sure you also set these options properly when doing so’…This new format is supposed to overcome some of the limitations of the old design and we hope that a major redesign will not be needed in the near future”, wrote Arturo.</p>

<p>Tor’s importance to users who are at risk, for a variety of reasons, makes it an attractive target for creators of malware, who distribute fake or modified versions of Tor software for malicious purposes. Following a recent report of a fake Tor Browser in circulation, Julien Voisin carried out an investigation of the compromised software, and posted a <a href="http://dustri.org/b/torbundlebrowserorg.html" rel="nofollow">detailed analysis</a> of the results. To ensure you are protected against this sort of attack, make sure you <a href="https://www.torproject.org/docs/verifying-signatures" rel="nofollow">verify</a> any Tor software you download before running it!</p>

<p>Arlo Breault submitted a <a href="https://lists.torproject.org/pipermail/tor-reports/2014-August/000622.html" rel="nofollow">status report for July</a>.</p>

<p>As the annual Google Summer of Code season draws to a close, Tor’s GSoC students are submitting their final reports. Israel Leiva reported on the <a href="https://lists.torproject.org/pipermail/tor-dev/2014-August/007368.html" rel="nofollow">revamp of GetTor</a>, Marc Juarez on the <a href="https://lists.torproject.org/pipermail/tor-reports/2014-August/000623.html" rel="nofollow">framework for website fingerprinting countermeasures</a>, Juha Nurmi on <a href="https://lists.torproject.org/pipermail/tor-reports/2014-August/000624.html" rel="nofollow">ahmia.fi</a>, Noah Rahman on <a href="https://lists.torproject.org/pipermail/tor-dev/2014-August/007377.html" rel="nofollow">Stegotorus enhancement</a>, Amogh Pradeep on <a href="https://lists.torproject.org/pipermail/tor-dev/2014-August/007379.html" rel="nofollow">Orbot+Orfox</a>, Daniel Martí on <a href="https://lists.torproject.org/pipermail/tor-dev/2014-August/007386.html" rel="nofollow">consensus diffs</a>, Mikhail Belous on the <a href="https://lists.torproject.org/pipermail/tor-dev/2014-August/007389.html" rel="nofollow">multicore tor daemon work</a>, Zack Mullaly on the <a href="https://lists.eff.org/pipermail/https-everywhere/2014-August/002234.html" rel="nofollow">secure ruleset updater for HTTPS Everywhere</a>, and Quinn Jarrell on <a href="https://lists.torproject.org/pipermail/tor-dev/2014-August/007393.html" rel="nofollow">Fog, the pluggable transport combiner</a>.</p>

<h1>Tor help desk roundup</h1>

<p>The help desk has been asked if it is possible to set up an anonymous blog using Tor. The <a href="https://github.com/kloesing/hyde/blob/master/publisher-manual/index.md" rel="nofollow">Hyde project</a>, developed by Karsten Loesing, documents the step-by-step process of using Tor, Jekyll, and Nginx to host an anonymous blog as a hidden service.</p>

<h1>News from Tor StackExchange</h1>

<p>The Tor StackExchange site is looking for another <a href="https://meta.tor.stackexchange.com/q/207/88" rel="nofollow">friendly and helpful moderator</a>. Moderators need to take care of flagged items (spam, me-too comments, etc.), and are liaisons between the community and StackExchange’s community team. So, if you’re interested, have a look at the <a href="http://blog.stackoverflow.com/2009/05/a-theory-of-moderation/" rel="nofollow">theory of moderation</a> and post an answer to the question at the Tor StackExchange Meta site.</p>

<p>This issue of Tor Weekly News has been assembled by Lunar, harmony, David Fifield, qbi, Matt Pagan, Sebastian Hahn, Ximin Luo, and dope457. </p>

<p>Want to continue reading TWN? Please help us create this newsletter. We still need more volunteers to watch the Tor community and report important news. Please see the <a href="https://trac.torproject.org/projects/tor/wiki/TorWeeklyNews" rel="nofollow">project page</a>, write down your name and subscribe to the <a href="https://lists.torproject.org/cgi-bin/mailman/listinfo/news-team" rel="nofollow">team mailing list</a> if you want to get involved!</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/reports">
          reports
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Comments are closed.</p>
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
